Last Comment Bug 547063 - nanojit: reinstate NJ_COMPILER_ARM_ARCH static assertion in njconfig.cpp
: nanojit: reinstate NJ_COMPILER_ARM_ARCH static assertion in njconfig.cpp
Status: RESOLVED FIXED
fixed-in-nanojit, fixed-in-tracemonkey
:
Product: Core Graveyard
Classification: Graveyard
Component: Nanojit (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nicholas Nethercote [:njn] (on vacation until July 11)
:
Mentors:
Depends on: 546847 670323
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 13:40 PST by Nicholas Nethercote [:njn] (on vacation until July 11)
Modified: 2014-03-17 08:00 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (867 bytes, patch)
2011-03-03 18:28 PST, Nicholas Nethercote [:njn] (on vacation until July 11)
rreitmai: review+
Details | Diff | Review

Description Nicholas Nethercote [:njn] (on vacation until July 11) 2010-02-18 13:40:06 PST
I disabled this assertion in njconfig.cpp:

  NanoStaticAssert(NJ_COMPILER_ARM_ARCH >= 5 && NJ_COMPILER_ARM_ARCH <= 7);

because it was failing in the TM tree on WinMo due to a compiler misconfiguration (see bug 546847) and this was blocking all other NJ work.  Once that is fixed, the assertion should be re-enabled.
Comment 1 Nicholas Nethercote [:njn] (on vacation until July 11) 2011-03-03 18:28:51 PST
Created attachment 516768 [details] [diff] [review]
patch

Mozilla doesn't do WinMo builds any more.  I'd like to land this.  If anything breaks, I can back it out again.
Comment 2 Nicholas Nethercote [:njn] (on vacation until July 11) 2011-03-07 16:13:01 PST
http://hg.mozilla.org/projects/nanojit-central/rev/b0decf655268
http://hg.mozilla.org/tracemonkey/rev/a871b845d417
Comment 3 Nicholas Nethercote [:njn] (on vacation until July 11) 2011-03-07 16:15:37 PST
(In reply to comment #2)
> http://hg.mozilla.org/projects/nanojit-central/rev/b0decf655268

Sorry, that should be http://hg.mozilla.org/projects/nanojit-central/rev/04f1b105cccd
Comment 4 Tamarin Bot 2011-03-14 16:16:02 PDT
changeset: 6082:3560a3866cba
user:      Nicholas Nethercote <nnethercote@mozilla.com>
summary:   Bug 547063 - nanojit: reinstate NJ_COMPILER_ARM_ARCH static assertion in njconfig.cpp.  r=rreitmai.

http://hg.mozilla.org/tamarin-redux/rev/3560a3866cba
Comment 5 Nicholas Nethercote [:njn] (on vacation until July 11) 2012-05-22 20:13:22 PDT
Bug UntangleFrontEnd

Note You need to log in before you can comment on or make changes to this bug.